org.activiti.engine

## Interface DynamicBpmnService

-     public interface DynamicBpmnService

  Service providing access to the repository of process definitions and deployments.
  Author:
    Tijs Rademakers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeLocalizationDescription(String language, String id, String value)`
    `void` | `changeLocalizationDescription(String language, String id, String value, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeLocalizationName(String language, String id, String value)`
    `void` | `changeLocalizationName(String language, String id, String value, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeScriptTaskScript(String id, String script)`
    `void` | `changeScriptTaskScript(String id, String script, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeSequenceFlowCondition(String id, String condition)`
    `void` | `changeSequenceFlowCondition(String id, String condition, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeServiceTaskClassName(String id, String className)`
    `void` | `changeServiceTaskClassName(String id, String className, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeServiceTaskDelegateExpression(String id, String expression)`
    `void` | `changeServiceTaskDelegateExpression(String id, String expression, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeServiceTaskExpression(String id, String expression)`
    `void` | `changeServiceTaskExpression(String id, String expression, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskAssignee(String id, String assignee)`
    `void` | `changeUserTaskAssignee(String id, String assignee, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskCandidateGroup(String id, String candidateGroup, boolean overwriteOtherChangedEntries)`
    `void` | `changeUserTaskCandidateGroup(String id, String candidateGroup, boolean overwriteOtherChangedEntries, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskCandidateUser(String id, String candidateUser, boolean overwriteOtherChangedEntries)`
    `void` | `changeUserTaskCandidateUser(String id, String candidateUser, boolean overwriteOtherChangedEntries, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskCategory(String id, String category)`
    `void` | `changeUserTaskCategory(String id, String category, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskDescription(String id, String description)`
    `void` | `changeUserTaskDescription(String id, String description, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskDueDate(String id, String dueDate)`
    `void` | `changeUserTaskDueDate(String id, String dueDate, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskFormKey(String id, String formKey)`
    `void` | `changeUserTaskFormKey(String id, String formKey, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskName(String id, String name)`
    `void` | `changeUserTaskName(String id, String name, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskOwner(String id, String owner)`
    `void` | `changeUserTaskOwner(String id, String owner, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `changeUserTaskPriority(String id, String priority)`
    `void` | `changeUserTaskPriority(String id, String priority, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `getBpmnElementProperties(String id, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `getLocalizationElementProperties(String language, String id, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `getProcessDefinitionInfo(String processDefinitionId)`
    `void` | `saveProcessDefinitionInfo(String processDefinitionId, com.fasterxml.jackson.databind.node.ObjectNode infoNode)`

- - ### Method Detail

    - #### getProcessDefinitionInfo

          com.fasterxml.jackson.databind.node.ObjectNode getProcessDefinitionInfo(String processDefinitionId)

    - #### saveProcessDefinitionInfo

          void saveProcessDefinitionInfo(String processDefinitionId,
                                         com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeServiceTaskClassName

          com.fasterxml.jackson.databind.node.ObjectNode changeServiceTaskClassName(String id,
                                                                                    String className)

    - #### changeServiceTaskClassName

          void changeServiceTaskClassName(String id,
                                          String className,
                                          com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeServiceTaskExpression

          com.fasterxml.jackson.databind.node.ObjectNode changeServiceTaskExpression(String id,
                                                                                     String expression)

    - #### changeServiceTaskExpression

          void changeServiceTaskExpression(String id,
                                           String expression,
                                           com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeServiceTaskDelegateExpression

          com.fasterxml.jackson.databind.node.ObjectNode changeServiceTaskDelegateExpression(String id,
                                                                                             String expression)

    - #### changeServiceTaskDelegateExpression

          void changeServiceTaskDelegateExpression(String id,
                                                   String expression,
                                                   com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeScriptTaskScript

          com.fasterxml.jackson.databind.node.ObjectNode changeScriptTaskScript(String id,
                                                                                String script)

    - #### changeScriptTaskScript

          void changeScriptTaskScript(String id,
                                      String script,
                                      com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskName

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskName(String id,
                                                                            String name)

    - #### changeUserTaskName

          void changeUserTaskName(String id,
                                  String name,
                                  com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskDescription

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskDescription(String id,
                                                                                   String description)

    - #### changeUserTaskDescription

          void changeUserTaskDescription(String id,
                                         String description,
                                         com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskDueDate

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskDueDate(String id,
                                                                               String dueDate)

    - #### changeUserTaskDueDate

          void changeUserTaskDueDate(String id,
                                     String dueDate,
                                     com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskPriority

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskPriority(String id,
                                                                                String priority)

    - #### changeUserTaskPriority

          void changeUserTaskPriority(String id,
                                      String priority,
                                      com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskCategory

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskCategory(String id,
                                                                                String category)

    - #### changeUserTaskCategory

          void changeUserTaskCategory(String id,
                                      String category,
                                      com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskFormKey

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskFormKey(String id,
                                                                               String formKey)

    - #### changeUserTaskFormKey

          void changeUserTaskFormKey(String id,
                                     String formKey,
                                     com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskAssignee

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskAssignee(String id,
                                                                                String assignee)

    - #### changeUserTaskAssignee

          void changeUserTaskAssignee(String id,
                                      String assignee,
                                      com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskOwner

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskOwner(String id,
                                                                             String owner)

    - #### changeUserTaskOwner

          void changeUserTaskOwner(String id,
                                   String owner,
                                   com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskCandidateUser

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskCandidateUser(String id,
                                                                                     String candidateUser,
                                                                                     boolean overwriteOtherChangedEntries)

    - #### changeUserTaskCandidateUser

          void changeUserTaskCandidateUser(String id,
                                           String candidateUser,
                                           boolean overwriteOtherChangedEntries,
                                           com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeUserTaskCandidateGroup

          com.fasterxml.jackson.databind.node.ObjectNode changeUserTaskCandidateGroup(String id,
                                                                                      String candidateGroup,
                                                                                      boolean overwriteOtherChangedEntries)

    - #### changeUserTaskCandidateGroup

          void changeUserTaskCandidateGroup(String id,
                                            String candidateGroup,
                                            boolean overwriteOtherChangedEntries,
                                            com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeSequenceFlowCondition

          com.fasterxml.jackson.databind.node.ObjectNode changeSequenceFlowCondition(String id,
                                                                                     String condition)

    - #### changeSequenceFlowCondition

          void changeSequenceFlowCondition(String id,
                                           String condition,
                                           com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### getBpmnElementProperties

          com.fasterxml.jackson.databind.node.ObjectNode getBpmnElementProperties(String id,
                                                                                  com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeLocalizationName

          com.fasterxml.jackson.databind.node.ObjectNode changeLocalizationName(String language,
                                                                                String id,
                                                                                String value)

    - #### changeLocalizationName

          void changeLocalizationName(String language,
                                      String id,
                                      String value,
                                      com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### changeLocalizationDescription

          com.fasterxml.jackson.databind.node.ObjectNode changeLocalizationDescription(String language,
                                                                                       String id,
                                                                                       String value)

    - #### changeLocalizationDescription

          void changeLocalizationDescription(String language,
                                             String id,
                                             String value,
                                             com.fasterxml.jackson.databind.node.ObjectNode infoNode)

    - #### getLocalizationElementProperties

          com.fasterxml.jackson.databind.node.ObjectNode getLocalizationElementProperties(String language,
                                                                                          String id,
                                                                                          com.fasterxml.jackson.databind.node.ObjectNode infoNode)

Copyright © 2016 Alfresco. All rights reserved.